<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="{{ app.request.basepath }}/lib/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="{{ app.request.basepath }}/css/style.css" rel="stylesheet">
    <title>Watson - {% block title %}{% endblock %}</title>
</head>
<body>
    <div class="container">
        <nav class="navbar navbar-default navbar-fixed-top navbar-inverse" role="navigation">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-collapse-target">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" id="logo" href="{{ path('home') }}">Watson</a>
                </div>
                <div class="collapse navbar-collapse" id="navbar-collapse-target">
                    <ul class="nav navbar-nav navbar-right">
                        {% if app.user and is_granted('ROLE_ADMIN') %}
                            <li class="{% if adminMenu is defined %}active{% endif %}"><a href="{{ path('admin') }}"><span class="glyphicon glyphicon-cog"></span> Administration</a></li>
                        {% endif %}
                        {% if app.user and is_granted('IS_AUTHENTICATED_FULLY') %}
                            <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                <span class="glyphicon glyphicon-user"></span> Welcome, {{ app.user.username }} <b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="{{ path('logout') }}">Log out</a></li>
                                </ul>
                            </li>
                        {% else %}
                            <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                <span class="glyphicon glyphicon-user"></span> Not connected <b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="{{ path('login') }}">Log in</a></li>
                                </ul>
                            </li>
                        {% endif %}
                    </ul>
                </div>
            </div><!-- /.container -->
        </nav>
        <div id="content">{% block content %}{% endblock %}</div>
        <footer class="footer">
            Watson - Made with love by CvTIC and his students
		<a href="/rss" target="_blank"><img src="{{ app.request.basepath }}/images/rss.png" alt="RSS" title="Afficher le flux RSS" height="30" width="30"></a>
        </footer>
    </div>
    
    <!-- jQuery -->
    <script src="{{ app.request.basepath }}/lib/jquery/jquery.min.js"></script>
    <!-- JavaScript Boostrap plugin -->
    <script src="{{ app.request.basepath }}/lib/bootstrap/js/bootstrap.min.js"></script>
</body>
</html>
